import React from "react";
import "./Display.css";

const Display = ({ myVal, isCountdown }) => {         //eklariert eine funktionale Komponente namens Display.
                                                     // Sie bekommt zwei Props (Eigenschaften, die von der Elternkomponente übergeben werden):
                                                    //myVal → der aktuelle Wert (entweder verbleibende Sekunden oder der fertige Count).
                                                    // isCountdown → ein boolean (true/false), der anzeigt, ob gerade ein Countdown läuft.

                                                     //Wenn isCountdown true ist, wird das eine angezeigt, sonst das andere:

                                                    //Wenn ein Countdown noch läuft (isCountdown === true):
                                                    //→ zeigt: Countdown: 7 Sekunden



                                                    // Wenn der Countdown abgelaufen ist (isCountdown === false):
                                                    //→ zeigt: Das war ihr 3. Countdown
    


                                                    //Der ? : Ausdruck ist ein Ternary Operator (Kurzform für if/else).
  return (
    <div className="display">

                                                            


      {isCountdown                                 
       
       
       ? `Countdown: ${myVal} Sekunden`           
       
                                                    
    : `Das war ihr ${myVal}. Countdown`}          
    </div>
  );
};

export default Display;
